## lxqt-notificationd 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-notificationd)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt5Widgets REQUIRED QUIET)
find_package(Qt5DBus REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(KF5WindowSystem REQUIRED QUIET)

find_package(lxqt REQUIRED QUIET)

include(GNUInstallDirs)
include(LXQtCompilerSettings NO_POLICY_SCOPE)
include(LXQtTranslate)

add_subdirectory(src)
add_subdirectory(config)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${LXQT_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${LXQT_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${LXQT_PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== src/CMakeLists.txt ===
set(NOTIFICATIONS_SRC
    main.cpp
    notificationarea.cpp
    notification.cpp
    notificationlayout.cpp
    notificationwidgets.cpp
    notifyd.cpp
)

set(NOTIFICATIONS_UI
    notification.ui
)

qt5_add_dbus_adaptor(NOTIFICATIONS_SRC
    org.freedesktop.Notifications.xml
    notifyd.h Notifyd
)

# Translations **********************************
lxqt_translate_ts(NOTIFICATIONS_QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${NOTIFICATIONS_SRC}
    ${NOTIFICATIONS_UI}
    INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
#************************************************

add_executable(lxqt-notificationd
    ${NOTIFICATIONS_SRC}
    ${NOTIFICATIONS_QM_FILES}
    ${QM_LOADER}
)

target_link_libraries(lxqt-notificationd
    Qt5::Widgets
    Qt5::DBus
    lxqt
    KF5::WindowSystem
)

install(TARGETS
    lxqt-notificationd
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)

## lxqt-notificationd 0.9.0+20150807

=== debian/changelog ===
lxqt-notificationd (0.9.0+20150807-1) unstable; urgency=medium

  [ Alf Gaida ]
  * initial debian files.
  * Initial release. (Closes: #747602)
  * Imported Upstream version 0.8.0.
  * Min liblxqt-qt5-0-dev version 0.8.0.
  * Min Qt version 5.3.2.
  * bump standards to 3.9.6.
  * desktop-file fix OnylShowIn=LXQt;.
  * add lintian-overrides for missed manpages and invalid category.
  * new release 0.9.0 drop patches add source/options fix debian $foo.
  * Some cleanup in debian $foo.
  * some changes in debian $foo.
  * drop transitional packages.

  [ Andrew Lee (李健秋) ]
  * Merging upstream version 0.9.0+20150807.
  * Added myself as Uploader.
  * Sorting build-depends.
  * Corrected Homepage url.
  * Correct Vcs tags.
  * Added fullstop in descriptions.
  * Drop GPL-2+ license from copyright as it hasn't been mentioned
    anywhere in headers.
  * Warpped lines.
  * Removing whitespaces at EOL and EOF.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 16 Aug 2015 17:21:16 +0800

=== debian/control ===
Source: lxqt-notificationd
Section: x11
Priority: optional
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders:
 Alf Gaida <agaida@siduction.org>,
 ChangZhuo Chen (陳昌倬) <czchen@gmail.com>,
 Andrew Lee (李健秋) <ajqlee@debian.org>
Build-Depends:
 cmake (>= 3.0.2),
 debhelper (>= 9),
 libkf5windowsystem-dev (>= 5.9.0),
 liblxqt0-dev (>= 0.9),
 libqt5x11extras5-dev (>= 5.3),
 libqt5xdg-dev (>= 1.2.0),
 libx11-dev,
 pkg-config,
 qtbase5-private-dev (>= 5.3),
 qttools5-dev (>= 5.3),
 qttools5-dev-tools (>= 5.3),
Standards-Version: 3.9.6
Homepage: https://github.com/lxde/lxqt-notificationd
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-notificationd.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git

Package: lxqt-notificationd
Architecture: any
Breaks: lxqt-notificationd-qt5 (<< 0.9.0)
Replaces: lxqt-notificationd-qt5 (<< 0.9.0)
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 notification-daemon,
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-dbg
Architecture: any
Section: debug
Priority: extra
Breaks: lxqt-notificationd-qt5-dbg (<< 0.9.0)
Replaces: lxqt-notificationd-qt5-dbg (<< 0.9.0)
Depends:
 ${misc:Depends},
 lxqt-notificationd (= ${binary:Version}),
Description: LXQt notification daemon (debug symbols)
 The LXQt notification daemon.
 .
 This package contain the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh ${@} --buildsystem cmake --parallel

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/lxqt-notificationd

override_dh_strip:
	dh_strip --dbg-package=lxqt-notificationd-dbg

=== debian/watch ===
version=3
https://github.com/lxde/lxqt-notificationd/releases .*/([\d\.]+).tar.gz

## lxqt-notificationd 0.10.0

=== debian/changelog ===
lxqt-notificationd (0.10.0-2) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym.

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 19:09:09 +0100

lxqt-notificationd (0.10.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.10.0. 
  * Set minimum versions for libqtxdg and liblxqt

 -- Alf Gaida <agaida@siduction.org>  Tue, 03 Nov 2015 01:57:30 +0100

lxqt-notificationd (0.9.0+20151028-2) experimental; urgency=medium

  * set minimum versions for libqtxdg and liblxqt

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Oct 2015 18:15:33 +0100

lxqt-notificationd (0.9.0+20151028-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20151028. 

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Oct 2015 01:42:07 +0100

lxqt-notificationd (0.9.0+20150903-1) experimental; urgency=medium

  * Cherry-picked upstream version 0.9.0+20150903.
  * Cleaned up .gitignore
  * Switched to experimental because of LXQt namespace change
  * Added minimum version for liblxqt0-dev (>= 0.9.0+20150911)
  * Removed breaks/replaces
  * Beautifyed control
  * Added upstream signing key and use it in watch file
  * Added linker flags -Wl,--as-needed

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 Sep 2015 23:45:25 +0200

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake (>= 3.0.2),
               debhelper (>= 9),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.10.0),
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 1.3.0),
               libx11-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git/?h=debian/sid
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lxqt-notificationd.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-notificationd/releases .*/([\d\.]+).tar.gz

## lxqt-notificationd 0.11.0

=== debian/changelog ===
lxqt-notificationd (0.11.0-2) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Synced debian foo with experimental
  * Bumped Standards to 3.9.8, no changes needed
  * Bumped compat to 10
  * Removed --parallel from rules, compat 10 standard
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libqtxdg-dev (>= 2.0.0)
  * Bumped build dependency liblxqt-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdgiconloader-dev (>= 2.0)
  * Added Recommends lxqt-notificationd-l10n
  * Fixed VCS-Fields, use https and plain /git/
  * Fixed copyright Format field
  * Bumped copyright years
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible
  * Added README.md to docs

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 03:02:33 +0200

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libqt5xdgiconloader-dev (>= 2.0.0),
               libx11-dev,
               pkg-config,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-notificationd.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

## lxqt-notificationd 0.11.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-notificationd)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)

find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Widgets REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")

find_package(KF5WindowSystem REQUIRED)

find_package(lxqt REQUIRED)

include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)

=== debian/changelog ===
lxqt-notificationd (0.11.1-2build1) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:18:19 -0500

lxqt-notificationd (0.11.1-2) unstable; urgency=medium

  * Bumped Standards to 4.0.0 - no changes needed
  * Fixed typo in changelog
  * Added Recommends: lxqt-qtplugin (Closes: #866253)

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Jun 2017 20:58:35 +0200

lxqt-notificationd (0.11.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.11.1.
  * Removed some build dependencies:
    -cmake
    -libqt5xdg-dev
    -libqt5xdgiconloader-dev
    -pkg-config
    -qttools5-dev
    -qttools5-dev-tools
  * Bumped build dependency liblxqt0-dev (>= 0.11.1)
  * Bumped years in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Mon, 02 Jan 2017 14:01:39 +0100

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.1),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-notificationd.git -b debian/sid
Homepage: https://github.com/lxde/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n,
            lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

## lxqt-notificationd 0.12.0

=== config/CMakeLists.txt ===
project(lxqt-config-notificationd)

set(NOTIFICATIONS_CONF_SRC
    advancedsettings.cpp
    basicsettings.cpp
    mainwindow.cpp
    main.cpp
)

set(NOTIFICATIONS_CONF_UI
    advancedsettings.ui
    basicsettings.ui
)


# Translations **********************************
lxqt_translate_ts(NOTIFICATIONS_CONF_QM
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
    ${NOTIFICATIONS_CONF_MOC}
    ${NOTIFICATIONS_CONF_SRC}
    ${NOTIFICATIONS_CONF_UI}
    INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "lxqt-notificationd/${PROJECT_NAME}"
)

lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config-notificationd.desktop.in)
#************************************************


add_executable(${PROJECT_NAME}
    ${NOTIFICATIONS_CONF_SRC}
    ${NOTIFICATIONS_CONF_QM}
    ${DESKTOP_FILES}
    ${QM_LOADER}
)

target_link_libraries(${PROJECT_NAME}
    KF5::WindowSystem
    Qt5::Widgets
    lxqt
)

install(TARGETS
    ${PROJECT_NAME}
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}"
    COMPONENT Runtime
)
install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications"
    COMPONENT Runtime
)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,6 +23,16 @@
     ${NOTIFICATIONS_SRC}
     ${NOTIFICATIONS_UI}
     INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    PULL_TRANSLATIONS
+        ${PULL_TRANSLATIONS}
+    CLEAN_TRANSLATIONS
+        ${CLEAN_TRANSLATIONS}
+    TRANSLATIONS_REPO
+        ${TRANSLATIONS_REPO}
+    TRANSLATIONS_REFSPEC
+        ${TRANSLATIONS_REFSPEC}
+    REPO_SUBDIR
+        "lxqt-notificationd/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-notificationd (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed debian/gbp.conf
  * Removed branch from VCS fields

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 20:59:59 +0100

lxqt-notificationd (0.12.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 22:41:19 +0100

lxqt-notificationd (0.12.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.11.0.
  * Bumped Standards to 4.1.1 - no changes needed
  * Bumped liblxqt dependency to >= 0.12.0
  * Added Breaks/Replaces for lxqt-common << 0.12.0

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 18:24:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.1),
+               liblxqt0-dev (>= 0.12.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-notificationd.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-notificationd.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-notificationd.git
 Homepage: https://github.com/lxde/lxqt-notificationd
 
 Package: lxqt-notificationd
@@ -23,6 +23,8 @@
          ${shlibs:Depends}
 Recommends: lxqt-notificationd-l10n,
             lxqt-qtplugin
+Breaks: lxqt-common (<< 0.12.0)
+Replaces: lxqt-common (<< 0.12.0)
 Provides: notification-daemon
 Description: LXQt notification daemon
  The LXQt notification daemon.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-notificationd/releases .*/lxqt-notificationd-([\d\.]+).tar.xz

## lxqt-notificationd 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,28 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 find_package(Qt5DBus REQUIRED)
-find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(Qt5LinguistTools REQUIRED)
 find_package(Qt5Widgets REQUIRED)
-message(STATUS "Building with Qt${Qt5Core_VERSION_STRING}")
+message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 find_package(KF5WindowSystem REQUIRED)
 
 find_package(lxqt REQUIRED)
 
+if(NOT CMAKE_BUILD_TYPE)
+    set(CMAKE_BUILD_TYPE Release)
+endif()
+
+# Patch Version
+set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)
+
+set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
+add_definitions(
+    "-DLXQT_NOTIFICATIOND_VERSION=\"${LXQT_NOTIFICATIOND_VERSION}\""
+    "-DQT_NO_FOREACH"
+)
+
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # Translations **********************************
@@ -27,3 +41,6 @@
 
 add_subdirectory(config)
 add_subdirectory(src)
+
+## merged from lxqt-common
+add_subdirectory(autostart)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -11,10 +11,13 @@
     notification.ui
 )
 
-qt5_add_dbus_adaptor(NOTIFICATIONS_SRC
+qt5_add_dbus_adaptor(NOTIFICATIONS_DBUS_SRC
     org.freedesktop.Notifications.xml
     notifyd.h Notifyd
 )
+
+set_property(SOURCE ${NOTIFICATIONS_DBUS_SRC} PROPERTY SKIP_AUTOGEN ON)
+list(APPEND NOTIFICATIONS_SRC "${NOTIFICATIONS_DBUS_SRC}")
 
 # Translations **********************************
 lxqt_translate_ts(NOTIFICATIONS_QM_FILES

=== debian/changelog ===
lxqt-notificationd (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:44:25 -0700

lxqt-notificationd (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependency liblxqt0-dev to >= 0.13.0~

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 21:45:09 +0200

lxqt-notificationd (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 14:57:08 +0200

=== debian/control ===
Source: lxqt-notificationd
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.13.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n,
            lxqt-qtplugin
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

## lxqt-notificationd 0.14.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
# CMakeLists.txt file even before calling the project() command.
# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
# command to specify that the current project code is written for the given range of CMake
# versions.
project(lxqt-notificationd)

include(GNUInstallDirs)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)

set(KF5_MINIMUM_VERSION "5.36.0")
set(LXQT_MINIMUM_VERSION "0.14.0")
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt${Qt5Core_VERSION}")

# Patch Version
set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)

set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
add_definitions(
    "-DLXQT_NOTIFICATIOND_VERSION=\"${LXQT_NOTIFICATIOND_VERSION}\""
    "-DQT_NO_CAST_FROM_ASCII"
    "-DQT_NO_CAST_TO_ASCII"
    "-DQT_NO_URL_CAST_FROM_STRING"
    "-DQT_NO_CAST_FROM_BYTEARRAY"
)

include(LXQtPreventInSourceBuilds)
include(LXQtCompilerSettings NO_POLICY_SCOPE)

# Translations **********************************
include(LXQtTranslate)

add_subdirectory(config)
add_subdirectory(src)
if (LXQT_NOTIFICATION_BUILD_TESTS)
    add_subdirectory(test)
endif()

## merged from lxqt-common
add_subdirectory(autostart)

=== test/CMakeLists.txt ===
set(NotifyTest_SRCS
    mainwindow.cpp
    main.cpp
)

add_executable(NotifyTest
    ${NotifyTest_SRCS}
)

target_link_libraries(NotifyTest
    lxqt
)

=== debian/changelog ===
lxqt-notificationd (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version liblxqt0-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 12:41:20 +0100

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n,
            lxqt-qtplugin
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-notificationd (<< 0.11.0)
Replaces: lxqt-notificationd (<< 0.11.0)
Description: Language package for lxqt-notificationd
 This package contains the l10n files needed by the lxqt-notificationd.

## lxqt-notificationd 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
@@ -28,7 +28,7 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)
+set(LXQT_NOTIFICATIOND_PATCH_VERSION 1)
 
 set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
 add_definitions(

=== autostart/CMakeLists.txt ===
file(GLOB DESKTOP_FILES_IN *.desktop.in)

# Translations **********************************
lxqt_translate_desktop(DESKTOP_FILES
    SOURCES
        ${DESKTOP_FILES_IN}
)
add_custom_target(lxqt_notificationd_autostart_desktop_files ALL DEPENDS ${DESKTOP_FILES})
#************************************************

install(FILES
    ${DESKTOP_FILES}
    DESTINATION "${LXQT_ETC_XDG_DIR}/autostart"
    COMPONENT Runtime
)

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -21,16 +21,6 @@
     ${NOTIFICATIONS_CONF_SRC}
     ${NOTIFICATIONS_CONF_UI}
     INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-notificationd/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-notificationd (0.14.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:39 +0100

lxqt-notificationd (0.14.1-1ubuntu1) focal; urgency=medium

  * Update build depends according to merge from debian.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Thu, 30 Jan 2020 02:45:02 +0530

lxqt-notificationd (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:08:37 -0600

lxqt-notificationd (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a lxqt-notificationd-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 00:22:05 -0600

lxqt-notificationd (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Bump Standards-version to 4.1.5, no changes needed.
  * Keep notification height when others are added and/or removed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Jul 2018 01:45:12 -0500

lxqt-notificationd (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 22 May 2018 23:38:43 -0500

=== debian/control ===
Source: lxqt-notificationd
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 12),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.14.0~),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-notificationd/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-notificationd.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-notificationd (<< 0.11.0)
Replaces: lxqt-notificationd (<< 0.11.0)
Description: Language package for lxqt-notificationd
 This package contains the l10n files needed by lxqt-notificationd.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-notificationd/releases .*/lxqt-notificationd-([\d\.]+).tar.xz

## lxqt-notificationd 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
@@ -28,15 +28,11 @@
 message(STATUS "Building with Qt${Qt5Core_VERSION}")
 
 # Patch Version
-set(LXQT_NOTIFICATIOND_PATCH_VERSION 1)
+set(LXQT_NOTIFICATIOND_PATCH_VERSION 0)
 
 set(LXQT_NOTIFICATIOND_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_NOTIFICATIOND_PATCH_VERSION})
 add_definitions(
     "-DLXQT_NOTIFICATIOND_VERSION=\"${LXQT_NOTIFICATIOND_VERSION}\""
-    "-DQT_NO_CAST_FROM_ASCII"
-    "-DQT_NO_CAST_TO_ASCII"
-    "-DQT_NO_URL_CAST_FROM_STRING"
-    "-DQT_NO_CAST_FROM_BYTEARRAY"
 )
 
 include(LXQtPreventInSourceBuilds)

=== debian/changelog ===
lxqt-notificationd (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build depends.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to using debhelper-compat.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:03:55 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.14.0~),
+               liblxqt0-dev (>= 0.15.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-notificationd/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-notificationd.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd

## lxqt-notificationd 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-notificationd (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat requirement to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 00:45:40 +0530

lxqt-notificationd (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 06 Jan 2021 17:26:15 +0800

lxqt-notificationd (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum version liblxqt0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:52:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.15.0),
+               liblxqt0-dev (>= 0.16.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,

## lxqt-notificationd 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.16.0")
+set(LXQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,16 +26,6 @@
     ${NOTIFICATIONS_SRC}
     ${NOTIFICATIONS_UI}
     INSTALL_DIR "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
-    REPO_SUBDIR
-        "lxqt-notificationd/${PROJECT_NAME}"
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})

=== debian/changelog ===
lxqt-notificationd (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
  * Rename tag for lintian override
  * Extend lxqt-notificationd-l10n package description
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Fri, 13 Aug 2021 13:59:14 +0200

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.16.0~),
+               liblxqt0-dev (>= 0.17.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                qtbase5-private-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-notificationd/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-notificationd.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
@@ -40,4 +40,6 @@
 Breaks: lxqt-notificationd (<< 0.11.0)
 Replaces: lxqt-notificationd (<< 0.11.0)
 Description: Language package for lxqt-notificationd
+ The l10n files for lxqt-notificationd.
+ .
  This package contains the l10n files needed by lxqt-notificationd.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

## lxqt-notificationd 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-notificationd (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 01:19:33 +0800

lxqt-notificationd (1.1.0-1) experimental; urgency=medium

  [ Andrew Lee (李健秋) ]
  * New upstream release.

  [ Simon Quigley ]
  * New upstream release.
  * Bump debhelper compat to 13, no changes needed.
  * Bump Standards-version to 4.6.1, no changes needed.
  * Bump build dependencies.
  * Add my name to Uploaders.
  * Run wrap-and-sort.
  * Drop some old Breaks/Replaces.
  * Grab some useful changes from Ubuntu so we can sync the package.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Jul 2022 19:08:18 -0500

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               qtbase5-private-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-notificationd
 The l10n files for lxqt-notificationd.
 .
 This package contains the l10n files needed by lxqt-notificationd.

## lxqt-notificationd 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-notificationd (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root: no.
  * Remove unnecessary -Wl,--as-needed in d/rules.
  * Remove unnecessary --fail-missing in d/rules.
  * Fix d/lintian-overrides.
  * Update d/watch for GitHub.
  * Add Repository-Browse.
  * Use LF in d/upstream/signing-key.asc.
  * Adjust format of d/control.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 16 Dec 2022 00:16:16 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
+               liblxqt1-dev (>= 1.2.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -17,11 +17,14 @@
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
 Homepage: https://github.com/lxqt/lxqt-notificationd
+Rules-Requires-Root: no
 
 Package: lxqt-notificationd
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: lxqt-notificationd-l10n,
+            lxqt-qtplugin
 Provides: notification-daemon
 Description: LXQt notification daemon
  The LXQt notification daemon.
@@ -32,7 +35,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: qttranslations5-l10n, ${misc:Depends}
+Depends: ${misc:Depends},
+         qttranslations5-l10n
 Description: Language package for lxqt-notificationd
  The l10n files for lxqt-notificationd.
  .

## lxqt-notificationd 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.2.0")
+set(LXQT_MINIMUM_VERSION "1.3.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-notificationd (1.3.0-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Jul 2023 17:31:22 -0700

lxqt-notificationd (1.3.0-0.1~S7) unstable; urgency=medium

  * New upstream release.

 -- S.7 <severusseptimius7@gmail.com>  Sun, 21 May 2023 06:58:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-notificationd
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -8,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0~),
+               liblxqt1-dev (>= 1.3.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -21,10 +22,8 @@
 
 Package: lxqt-notificationd
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: lxqt-notificationd-l10n,
-            lxqt-qtplugin
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: lxqt-notificationd-l10n, lxqt-qtplugin
 Provides: notification-daemon
 Description: LXQt notification daemon
  The LXQt notification daemon.
@@ -35,8 +34,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Description: Language package for lxqt-notificationd
  The l10n files for lxqt-notificationd.
  .

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4

# See https://davesteele.github.io/development/2015/05/02/debian-watch-file-format-for-signed-github-source-tars/ for GitHub workaround for releases page.

opts="downloadurlmangle=s/archive\/refs\/tags\/@ANY_VERSION@@ARCHIVE_EXT@/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,filenamemangle=s/@ANY_VERSION@@ARCHIVE_EXT@/@PACKAGE@-$1\.tar\.xz/,pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/@PACKAGE@/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## lxqt-notificationd 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 option(LXQT_NOTIFICATION_BUILD_TESTS "Build LXQt Notification tests" OFF)
 
-set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.3.0")
+set(KF5_MINIMUM_VERSION "5.101.0")
+set(LXQT_MINIMUM_VERSION "1.4.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)

=== config/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 )
 
 lxqt_app_translation_loader(QM_LOADER ${PROJECT_NAME})
-lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config-notificationd.desktop.in)
+lxqt_translate_desktop(DESKTOP_FILES SOURCES lxqt-config-notificationd.desktop.in USE_YAML)
 #************************************************

=== debian/changelog ===
lxqt-notificationd (1.4.0-2) unstable; urgency=medium

  * debian/control: build-deps on qttools5-dev. (Closes:#1078296)
  * debian/control: bump to Standards-version to 4.7.0, no changes needed.
  * debian/copyright: added myself.

 -- Macy Lin <macy@debconf.org>  Sat, 07 Sep 2024 23:09:36 +0800

lxqt-notificationd (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * debian/control: build-deps on liblxqt1-dev (>= 1.4.0~).

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 10 Dec 2023 08:38:59 +0100

lxqt-notificationd (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on liblxqt1-dev (>= 1.3.0~).
  * debian/control: clean up build-deps.
  * debian/copyright: removing whitespaces at EOL and EOF..
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 01 Jul 2023 12:53:07 +0200

=== debian/control ===
Source: lxqt-notificationd
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.4.0~),
               libqt5x11extras5-dev,
               qtbase5-private-dev,
               qttools5-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-notificationd
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-notificationd.git
Homepage: https://github.com/lxqt/lxqt-notificationd
Rules-Requires-Root: no

Package: lxqt-notificationd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-notificationd-l10n,
            lxqt-qtplugin
Provides: notification-daemon
Description: LXQt notification daemon
 The LXQt notification daemon.
 .
 This package contain the LXQt notification daemon.

Package: lxqt-notificationd-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Description: Language package for lxqt-notificationd
 The l10n files for lxqt-notificationd.
 .
 This package contains the l10n files needed by lxqt-notificationd.
